Last modified: 2012-04-19 21:43:23 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 21012 - Navigable TOC : When user clicks a link in TOC, text getting highlighted in text area in Opera 9.0
Navigable TOC : When user clicks a link in TOC, text getting highlighted in t...
Status: CLOSED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UsabilityInitiative (Other open bugs)
unspecified
PC Windows Vista
: Normal major (vote)
: ---
Assigned To: Trevor Parscal
http://prototype.wikimedia.org/deploy...
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2009-10-06 05:53 UTC by Calcey QA
Modified: 2012-04-19 21:43 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Bug desc screen shots (341.43 KB, application/pdf)
2009-10-06 05:53 UTC, Calcey QA
Details

Description Calcey QA 2009-10-06 05:53:34 UTC
Created attachment 6634 [details]
Bug desc screen shots

Reporting against Babaco Release.

Steps to reproduce::
1)Navigate to a page and click edit Link.
2)Enter several links into the article with some texts like below.

==Heading text 1==
===Heading text 2===
====Heading text 3====
=====Heading text 4=====

3)Now click links one by one which are in the Navigable TOC.

<<Texts entered in the text area getting highlighted one by one>>

Expected Outcome::
Cursor should focus to the respective text in the text area.

Test Environment ::
Browser (User-Agent): 	Opera/9.00 (Windows NT 6.0; U; en)
Time and Date: 	10:50:54 AM - Tuesday, October 06, 2009
Javascript:	Enabled
Cookies Enabled:	Enabled 
Java Enabled:	Not Available/Enabled
Comment 1 Roan Kattouw 2009-10-06 12:00:13 UTC
(In reply to comment #0)
> Test Environment ::
> Browser (User-Agent):   Opera/9.00 (Windows NT 6.0; U; en)
> Time and Date:  10:50:54 AM - Tuesday, October 06, 2009
> Javascript:     Enabled
> Cookies Enabled:        Enabled 
> Java Enabled:   Not Available/Enabled
> 

Aaargh. It seems that Opera 9.0 does not provide any way to set zero-length selections (i.e. put the cursor somewhere without selecting anything) backward of the current position. I suggest we just drop Opera 9.0 support, considering how buggy and little-used that browser is.
Comment 2 Trevor Parscal 2009-10-06 16:59:22 UTC
Given it's < 0.1% coverage, often I feel like we should be spending no more than < 0.1% of our time ensuring it works perfectly. I think we need to try and reach out to blacklisted browsers later on, when we have time, but it's important to realize that as time goes on, these browsers represent a smaller number of users.
Comment 3 Roan Kattouw 2009-10-07 15:41:45 UTC
Trevor blacklisted Opera < 9.6 in r57436.
Comment 4 Calcey QA 2009-10-09 06:20:42 UTC
noted the blacklisted note and closed.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links